package main

type Character struct {
	Misc   Misc    `json:"misc"`
	Stats  []Stat  `json:"stats"`
	Skills []Skill `json:"skills"`
}

type Misc struct {
	Proficiency int    `json:"proficiency"`
	Inspiration int    `json:"inspiration"`
	Level       int    `json:"level"`
	Name        string `json:"name"`
}
type Skill struct {
	SkillName  string `json:"skillName"`
	Proficient bool   `json:"proficient"`
	Expertise  bool   `json:"expertise"`
	BaseStat   string `json:"baseStat"`
}
type Stat struct {
	StatName   string `json:"statName"`
	Score      int    `json:"score"`
	Modifier   int    `json:"modifier"`
	Proficient bool   `json:"proficient"`
}
